Gentoo Archives: gentoo-user-es

From: enrique sardon <ensarman@×××××.com>
To: gentoo-user-es@l.g.o
Subject: Re: [gentoo-user-es] problemas en postgres
Date: Fri, 15 Jan 2010 06:03:27
Message-Id: 578e3c101001142018m6afa4f43i2959112517787c34@mail.gmail.com
In Reply to: Re: [gentoo-user-es] problemas en postgres by "Guillermo M. Narvaja"
muchas gracias, esa USEFLAG fue el problema, recompile con
USE=pg_legacytimestamp y el server incio si porblemas, muchas gracias por la
ayuda


> Aparentemente tu directorio de bases de postgres fue creado con una > versión anterior de Postgresql o con algúna opción de compilación > distinta. Generalmente al cambiar de versión de 8.2.x a 8.3.x (o 8.3.x a > 8.4.x, etc) tenés que volver a inicializar el directorio de datos de > postgresql. Previamente tendrías que backupear las base en la versión > anterior y luego restaurarlas en la nueva. > > Viendo los ebuilds de postgresql, creo que puede ser que te falte el > USE=pg_legacytimestamp , es lo más parecido al error que te tira. > > El "initdb" se hace generalmente en gentoo mediante emerge --config > postgresql . > > > > -- > Guillermo M. Narvaja > Lambda Sistemas S.R.L. > www.fierro-soft.com.ar > Tel: (5411) 4857-6662 > Cel: (5411) 15-6783-4435 > Email: guillermo.narvaja@×××××××××××××××.ar > MSN: guillermo_narvaja@×××××××.com > Skype: guillermonarvaja > Lavalleja 519 1er Piso - Ciudad de Buenos Aires - Argentina > > >
-- salu2 ennrique sardon